Installer - Bug #27165

foreman-installer --scenario katello does not recognise option
--foreman-proxy-plugin-dhcp-remote-isc-dhcp-config
06/26/2019 12:06 PM - Rob Verduijn
Description

when running the foreman-installer with the following options:

foreman-installer \

--scenario katello \

--foreman-proxy-dhcp-provider remote_isc \
--foreman-proxy-plugin-dhcp-remote-isc-dhcp-config /path/to/nfs/mount/containing/dhcpd.conf \
--foreman-proxy-plugin-dhcp-remote-isc-dhcp-leases /path/to/nfs/mount/containing/dhcpd.leases \
--foreman-proxy-plugin-dhcp-remote-isc-key-name my_omapi_key \
--foreman-proxy-plugin-dhcp-remote-isc-key-secret my_secret \
--foreman-proxy-plugin-dhcp-remote-isc-omapi-port 7911 \
--enable-foreman-proxy-plugin-dhcp-remote-isc \

--foreman-proxy-dhcp-server my_server_ip

it says :
"stderr": "ERROR: Unrecognised option '--foreman-proxy-plugin-dhcp-remote-isc-dhcp-config

I'm running theforeman 1.21 katello 3.12

if | manually configure the smart proxy in /etc/foreman-proxy/settings.d it all works fine, but it's kinda annoying that | need to do this
each time foreman-installer is run.

dhcp.yml
:enabled: true

:use_provider: dhcp_remote_isc
‘server: my_server_ip

dhcp_remote_isc.yml

:config: /path/to/nfs/mount/containing/dhcpd.conf
Jleases: /path/to/nfs/mount/containing/dhcpd.leases
:key_name: my_omapi_key

:key_secret: my_secret

:omapi_port: 7911

Related issues:
Related to Installer - Feature #27168: Add smart proxy remote_isc plugin to t... Closed

History

#1 - 06/26/2019 12:37 PM - Rob Verduijn

it doesn't recognise the options
--foreman-proxy-plugin-dhcp-remote-isc-dhcp-config
--foreman-proxy-plugin-dhcp-remote-isc-dhcp-leases
--foreman-proxy-plugin-dhcp-remote-isc-key-name
--foreman-proxy-plugin-dhcp-remote-isc-key-secret
--foreman-proxy-plugin-dhcp-remote-isc-omapi-port
--enable-foreman-proxy-plugin-dhcp-remote-isc

it does recognise the following options:
--foreman-proxy-dhcp-provider remote_isc
--foreman-proxy-dhcp-server my_server_ip

#2 - 08/02/2021 04:36 PM - Ewoud Kohl van Wijngaarden
- Project changed from Smart Proxy to Installer

- Category set to foreman-installer script

- Triaged changed from No to Yes

- Found in Releases 2.5.2 added

#3 - 08/02/2021 04:36 PM - Ewoud Kohl van Wijngaarden

- Related to Feature #27168: Add smart proxy remote_isc plugin to the katello and foreman-proxy-content scenarios added

#4 - 08/02/2021 04:37 PM - Ewoud Kohl van Wijngaarden
- Status changed from New to Resolved

- Found in Releases deleted (2.5.2)

Fixed in #27168 (Foreman 1.23)
